transcriber (1.5.1.1-11) unstable; urgency=medium

  * Team upload.

  [ Giulio Paci ]
  * Bump Standards-Version to 3.9.8.
    - Drop menu file.
  * Add %f to Exec parameter in transcriber.desktop.
  * Refresh copyright_hints.
  
  [ Teddy Hogeborn ]
  * Create visible waveform cursor
    Closes: #859861

  [ Andreas Tille ]
  * Update Vcs-* fields to Salsa.
  * Fix build for gcc-14
    Closes: #1075583
  * Make sure debian/NEWS.Debian will be installed
  * Drop unneeded lintian-overrides

 -- Andreas Tille <tille@debian.org>  Wed, 14 Aug 2024 16:27:05 +0200

transcriber (1.5.1.1-10) unstable; urgency=low

  * Add 1012_fix_compiler_warnings.patch.
  * Add 1013_fix_arguments_escaping_in_launcher.patch.
  * Substitute duplicated files with symlinks.
  * Add "-Wl,--as-needed" to LDFLAGS.
  * Update copyright file.

 -- Giulio Paci <giuliopaci@gmail.com>  Thu, 05 Dec 2013 18:20:11 +0100

transcriber (1.5.1.1-9) unstable; urgency=low

  * Add 0001_fix_waveform_display_with_tcltk_8_5.patch.
    (Closes: #728833)
  * Bump Standards-Version to 3.9.5.
    No changes needed.

 -- Giulio Paci <giuliopaci@gmail.com>  Thu, 14 Nov 2013 14:46:24 +0100

transcriber (1.5.1.1-8) unstable; urgency=low

  [ Giulio Paci ]
  * Drop libsnack2 dependency.
  * Replace tclex dependency with tcl-tclex.
    (Closes: #725255)
  * Overriddes no-upstream-changelog.
    There is no distributed upstream changelog file.

  [ Sergei Golovan ]
  * Add Tk dependency.
  * Replace Tcl/Tk 8.4 dependency with default version of Tcl/Tk.
    (Closes: #725254)
  * Define USE_INTERP_RESULT macro to fix FTBFS with Tcl/Tk 8.6.

 -- Giulio Paci <giuliopaci@gmail.com>  Fri, 04 Oct 2013 02:25:17 +0200

transcriber (1.5.1.1-7) unstable; urgency=low

  * Add missing tclex dependency.
    (Closes: #710333)
  * Add missing "tcl-snack | libsnack2" dependency.
    (Closes: #718674)
  * Change libsnack2-dev with tcl-snack-dev build dependency.
  * Change libsnack2 with tcl-snack in long description.
  * Add keywords in transcriber.desktop.
  * Add missing semicolons to transcriber.desktop.
  * Move DEB_DH_INSTALL_ARGS content from rules to install.
  * Fix directories creation in 2001_package_building_fix.patch.
  * Drop dirs file.
  * Put one item per line in menu.
  * Add 1004_fix_trans_file_permissions.patch.
  * Add 1005_avoid_to_put_transcriber_in_background.patch.
  * Add 1006_fix_documentation.patch.
  * Add 1007_fix_html_conversion.patch.
  * Add 1008_update_contacts_and_urls.patch.
  * Add 1009_update_contacts_and_urls_in_doc.patch.
  * Add 1010_fix_cha_export.patch.
  * Add 1011_tidify_html.patch.
  * Ignore images and wave files when checking copyright_hints in rules.
  * Bump desired autoconf version to 2.69 in rules.
  * Update contact information in copyright file.
  * Fix Format field content in copyright.

 -- Giulio Paci <giuliopaci@gmail.com>  Mon, 16 Sep 2013 11:18:17 +0200

transcriber (1.5.1.1-6) unstable; urgency=low

  * Change maintainer to Giulio Paci.
  * Change priority to optional.
  * Remove some unneeded files.
  * Convert package to 3.0 (quilt) and git-buildpackage.
  * Convert package to CDBS.
  * Fix a typo in transcriber.1.
  * Add an icon for the menu entry.
  * Remove some unneeded files.
  * Add a watch file.
  * Add a 32x32 icon.
  * Add 1003_make_alt_click_expand_signal.patch.
  * Add hardening flags.
  * Move libtrans.so into usr/lib/tcltk/transcriber1.5/.
  * Move tcl files into usr/share/tcltk/transcriber/.
  * Use snack_sndfile_ext plugin if available.
  * Comply with Debian policy 4.6.
  * Fix compilation on Ubuntu 12.04.

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 24 Apr 2013 15:55:51 +0200

transcriber (1.5.1.1-5) unstable; urgency=low

  * Bump to Standards-Version 3.9.4.
  * Add build-arch and build-indep targets.
  * Fix GPL reference in debian/copyright.
  * Use ${misc:Depends}.
  * Add Vcs-* headers.

 -- Clint Adams <clint@debian.org>  Thu, 21 Feb 2013 14:53:45 -0500

transcriber (1.5.1.1-4) unstable; urgency=low

  * QA upload.
  * Add cpio to Build-Depends to prevent FTBFS. Thanks to Peter Green
    <plugwash@p10link.net> for testing. (Closes: #537034)
  * Bump Standards-Version to 3.8.2.
  * Remove call to deprecated dh_desktop - .desktop installation is performed
    in install target.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Jul 2009 02:57:34 +0200

transcriber (1.5.1.1-3) unstable; urgency=low

  * QA upload
  * Undo Conflict with tk8.5, call directly wish8.4 from the transcriber
    wrapper (closes: #484738, #510197).
  * Added dependency on libsnack2 (closes: #489876).

 -- Ralf Treinen <treinen@debian.org>  Fri, 30 Jan 2009 22:01:05 +0100

transcriber (1.5.1.1-2) unstable; urgency=low

  * QA upload
  * Conflict with tk8.5 (closes: #484738)
  * Add dependency on sox.
  * Install symlink for transcriber icon, and register icon in desktop file
    (closes: #453010). Thanks to Luca Falavigna for the patch.
  * Added portuguese localisation (closes: #479425). Thanks to Adriano Rafael
    Gomes for the translation!
  * Add ${shlibs:Depends} to Depends.
  * Change doc-base section to Sound.
  * Invoke dh_desktop in debian/rules, remove useless invokation of dh_cron.

 -- Ralf Treinen <treinen@debian.org>  Fri, 13 Jun 2008 22:33:10 +0200

transcriber (1.5.1.1-1) unstable; urgency=low

  * QA upload.
  * Produce a new upstream tarball 1.5.1.1 which is 1.5.1 with the debian
    directory removed (which must have been inserted there by error)
  * debian/rules: do not strip libtrans.so on installation. Call dh_strip
    instead (closes: Bug#438219).
  * Create symlink /usr/lib/transcriber1.5/doc to
    /usr/share/doc/transcriber/html (closes: Bug#412438).
  * Install transcriber.desktop - thanks to Vassilis Pandis for contributing
    the .desktop file! (closes: Bug#412441).
  * remove debian/conffiles since it contains only filenames in /etc
    which are now conffiles by default.
  * debian/rules:
    - do not ignore errors of "make clean".
    - install file /etc/transcriber/trans-14.dtd without x mode.
    - moved installation of files to etc from the "binary-arch" target to
      the "install" target
  * Removed bogus files from debian/: cron.daily,v, postrm, postrm.debhelper,
    prerm, prerm.debhelper, prerm.debhelper, postints, postinst.debhelper
  * Renamed README.Debian into DEBIAN-packaging-notes, do not install in
    /usr/share/doc/transcriber
  * Do not install README_UNIX on /usr/share/doc as it contains only
    compilation instructions
  * Moved menu entry from Apps/Sound to Applications/Sound

 -- Ralf Treinen <treinen@debian.org>  Wed, 17 Oct 2007 21:37:58 +0200

transcriber (1.5.1-3) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA group.
  * Conformed Standards version 3.7.2.
  * Bumped compat level from 1 to 5.
  * Repacked source since the package was broken as a native
    package and removed CVS dirs in it.
  * Changed name of binary to transcriber (Closes: #403168).
  * Removed conffiles, not needed anymore.
  * Renamed trans.1 to transcriber.1 to match new binary name.
  * Fixed broken copyright file.
  * Renamed transciber.docs to transcriber.docs.

 -- Nico Golde <nion@debian.org>  Thu, 05 Apr 2007 13:33:07 +0200

transcriber (1.5.1-2) unstable; urgency=low

  * Added explicit --x-includes /usr/X11R6/include --x-libraries
    /usr/X11R6/lib in configure call, to facilitate poor arm and sparc
    architectures, who can't seem to find X11/Xlib.h, despite libx11-dev
    build-depends package.  Maybe this will help to get the package into
    testing...

 -- David A. van Leeuwen <vleeuwen@debian.org>  Sun, 20 Mar 2005 11:20:30 +0100

transcriber (1.5.1-1) unstable; urgency=low

  * Added Build-depends to libx11-dev, hopefully now (closes: #295314)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue, 15 Feb 2005 15:39:49 +0100

transcriber (1.5.1-0) unstable; urgency=low

  * New upstream release
  * use transcriber.docs file
  * use dh_installman rather than dh_installmanpages
  * remove html_library sources and copyrights
  * use version number 1.5 in /usr/lib/transcriber1.5; this is a very
    tcl/tk-ish sty, it appears.  No version number is compatible with any
    other...
  * make link from /usr/lib/transcriber1.5/etc to /etc/transcriber, rather
    than change the script sources.
  * Use CVS as source; we are developer so maybe we can get this in the
    upstream source.

 -- David A. van Leeuwen <vleeuwen@debian.org>  Fri, 11 Feb 2005 22:47:35 +0100

transcriber (1.4.6-4) unstable; urgency=low

  * Removed world-writeable /var/lib/transcriber (closes: #257112)
  * Accordingly, removed cron.daily entry
  * removed dh_testversion (lintian)
  * removed *.debhelper files
  * referenced /usr/share/common-licenses/GPL (lintian)
  * removed . in package synopsis (lintian)
  * fixed random executable bits in /usr/lib/transcriber/convert (lintian)
  * removed extra license file (lintian)
  * appended more files in conffiles (lintian)
  * renamed man section TRANS to NAME (lintian)
  * added patch for vorbis ogg support, upstream may follow (closes:
    #237988)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Sun, 29 Aug 2004 23:55:02 +0200

transcriber (1.4.6-3) unstable; urgency=low

  * Removed build-depends on tk8.0-dev.  No so long ago it was essential
    to get it compiled on some architectures.  See the comment at
    1.4.5-2.  Sorry, lads.
    (closes: #248248)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Wed, 12 May 2004 21:25:26 +0200

transcriber (1.4.6-2) unstable; urgency=low

  * reverted dependencies on tclsh and wish to tcl8.4 and tk8.4.  Sorry,
    but I can't seem to be able to make tcsl/tk version independent
    code. (closes: #241261)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue,  4 May 2004 23:06:23 +0200

transcriber (1.4.6-1) unstable; urgency=low

  * Updated control long text description. (Closes: #214235)
  * New upstream release. (Closes: Bug#216173)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Wed, 22 Oct 2003 16:35:47 +0200

transcriber (1.4.5-2) unstable; urgency=low

  * Added tk8.0-dev in build-depends, bacause non-i386 seem to need it.
    I can't check this.  tk8.3-dev should provide the tcl/tk includes.
    But the configure script obviously doesn't include the include
    directories on non-i386 archs.  (closes: #207560, #205305, #210515)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue, 16 Sep 2003 23:09:55 +0200

transcriber (1.4.5-1) unstable; urgency=low

  * New upstream release (sourceforge).
  * changed maintainers email address more consistently, expect spam to go
    there, too.
  * removed dependency on obsolete tcl/tk 8.2 (closes: #183797)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue, 22 Apr 2003 12:58:59 +0200

transcriber (1.4.4-2) unstable; urgency=low

  * Changed dependencies on virtual packages tclsh and wish, in order not
    to be do fussy about the actual tcl/tk version (closes: Bug#144512)

  * remove explicit version number of wish in tcl/Main.tcl and src/trans

  * update title bar to reflect real source version (1.4.4), and add
    packaging info.

 -- David van Leeuwen <vleeuwen@debian.org>  Mon,  6 May 2002 09:46:48 +0200

transcriber (1.4.4-1) unstable; urgency=low

  * New upstream release

  * First fakeroot build

 -- David van Leeuwen <vleeuwen@debian.org>  Thu, 18 Apr 2002 10:03:59 +0200

transcriber (1.4.3-4) unstable; urgency=low

  * put double quotes around menu item values.

 -- David A. van Leeuwen <vleeuwen@debian.org>  Fri, 15 Mar 2002 10:59:45 +0100

transcriber (1.4.3-3) frozen unstable; urgency=low

  * changed priority from optional to extra

  * adapted conffiles according to reality (closes: Bug#132820).

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 11 Feb 2002 10:37:33 +0100

transcriber (1.4.3-2) unstable; urgency=low

  * Added debhelper in build-depends.

  * Rename --with-t{cl,k} make directives to /usr/lib/t{cl,k}8.2
    (closes: Bug#114719)

  * Strip libtrans.so in `install' (lintian E).

  * added /etc/cron.daily/transcriber to conffiles (lintian E).

  * added dh_installmanpages (lintian E.)

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon,  8 Oct 2001 13:11:27 +0200

transcriber (1.4.3-1) unstable testing; urgency=low

  * Compiled against libsnack2 (instead of previously `snack'---wrong name?)

  * People from Transcriber have been waiting for new compile for Debian
    a long time now.

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 20 Aug 2001 15:23:32 +0200

transcriber (1.4.3-0) unstable testing; urgency=low

  * New upstream version

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 15 Jun 2001 13:58:39 +0200

transcriber (1.4.2-6) unstable testing; urgency=low

  * remove erroneous dh_testroot from build target (closes: Bug#92564,
    closes: Bug#92797)

  * use dh_installexamples, dh_link

  * change usr/man to usr/share/man in `dirs'

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu,  5 Apr 2001 12:39:58 +0200

transcriber (1.4.2-5) unstable testing; urgency=low

  * Added Build-depends: tcl8.0-dev, tk8.0-dev, snack-dev, tclex; (closes:
    Bug#91910)

  * Migrating to debhelper; removing debmake dependency

  * Added doc-base file and prerm postinst scripts

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu, 29 Mar 2001 11:21:12 +0200

transcriber (1.4.2-4) unstable testing; urgency=low

  * Added Buid-depends: debmake to control file, but now in the source
    section; (closes: Bug#90721)

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 26 Mar 2001 12:10:20 +0200

transcriber (1.4.2-3) unstable testing; urgency=low

  * Added Buid-depends: debstd to control file; (closes: Bug#90721)
    maybe I should revert to another debhelper package the dh_ tools?

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 23 Mar 2001 10:58:32 +0100

transcriber (1.4.2-2) unstable testing; urgency=low

  * Added Build-Depends: tcl8.0-dev to control file; (closes: Bug#85247)

  * Updated Standards-Version to 3.5.2.0; (what i believe is the most recent
    that it complies with)

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 12 Mar 2001 11:48:12 +0100

transcriber (1.4.2-1) unstable; urgency=low

  * New upstream version.
  * Do `make distclean' instead of `make clean' in debian/rules, for a
    better way of dealing with config.cache
  * Move /usr/doc to /usr/share/doc.
  * Included `convert' subdir in lib.
  * removed `-m' from debmake, installs manpage now.

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu,  2 Mar 2000 09:46:33 +0100

transcriber (1.4-4) unstable; urgency=low

  * Updated description field in control, according to the whishes of
    Enrico Zini <zinie@cs.unibo.it>.

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu,  6 Jan 2000 08:56:29 +0100

transcriber (1.4-3) unstable; urgency=low

  * Updated /etc/cron/daily/transcriber, now correct search path
    /var/lib/transcriber.

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 10 Dec 1999 14:16:00 +0100

transcriber (1.4-2) unstable; urgency=low

  * Remove config.cache in debian/rules clean.  Suggested in bug
    report#50434.

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 22 Nov 1999 14:22:49 +0100

transcriber (1.4-1) unstable; urgency=low

  * New upstream version

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 11 Oct 1999 09:59:53 +0200

transcriber (1.3b7-1) unstable; urgency=low

  * removed snack from contrib; made it an independent package

  * made tclex (new for 1.3) independent package

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 24 Sep 1999 17:17:33 +0200

transcriber (1.2-4) unstable; urgency=low

  * added -fPIC to sox and NIST Makefiles (Lintian E)

  * made symlink absolute instead of relative (Lintian E)

 -- David A. van Leeuwen <david@tm.tno.nl>  Tue, 16 Feb 1999 12:11:57 +0100

transcriber (1.2-3) unstable; urgency=low

  * Changed /var/tmp/trans to /var/lib/trans

  * Made that dir og+w

  * Updated the manual page.

  * Added crontab to remove unused shape files from /var/lib/trans

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 20 Nov 1998 13:59:04 +0100

transcriber (1.2-2) unstable; urgency=low

  * New directory structure

  * Doc files also in the package (were missing)

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu, 19 Nov 1998 17:06:33 +0100

transcriber (1.2-1) unstable; urgency=low

  * Initial Release.

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 16 Nov 1998 14:24:46 +0100

Local variables:
debian-changelog-mailing-address: "vleeuwen@debian.org"
add-log-full-name: "David A. van Leeuwen"
End
